function moveL(clientID,target, pos, speed)
vrep=remApi('remoteApi');
%Získání cílové pozice
[r,p]=vrep.simxGetObjectPosition(clientID, target, -1, vrep.simx_opmode_blocking);
%Výpočet pohybu robota
old_pos=[p] ;
delta_pos=pos - old_pos;
distance=norm(delta_pos);
samples_number=round(distance*50);
for i=1:samples_number;
    intermidiate_pos= old_pos + (delta_pos/samples_number);
    %pause
    tic;
    while(toc< (distance/(speed*samples_number)))
    end
    %Nastavení průběžné polohy
    vrep.simxSetObjectPosition(clientID, target, -1, intermidiate_pos, vrep.simx_opmode_blocking);
    old_pos=intermidiate_pos;
end
